Gumroad

Get Gumroad search suggestions

Get Gumroad's autocomplete product suggestions, or trending products for an empty query.

GET/v1/gumroad/search/suggestions
1credit
x-api-keystringheader

API key (`sfk_...`)

Parameters
1
querystringquery

Text to autocomplete. Empty or omitted returns Gumroad's trending products.

max 200 chars

Response fields
12

Endpoint-specific response payload.

datalookupStatus
string

Suggestions always have an answer.

one of: found

dataquery
stringnullable

The text searched for.

Up to five product suggestions.

dataproducts[]name
string

Product name.

dataproducts[]url
stringnullable

Product URL, without tracking parameters.

dataproducts[]sellerName
stringnullable

Creator display name.

dataproducts[]thumbnailUrl
stringnullable

Thumbnail URL.

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

Code example

curl "https://api.socialfetch.dev/v1/gumroad/search/suggestions?query=notion" \
  -H "x-api-key: YOUR_API_KEY"

Responses

Gumroad suggestions.